Show / Hide Table of Contents

# Class ShardedCommandContext

The sharded variant of ICommandContext, which may contain the client, user, guild, channel, and message.

##### Inheritance

System.Object
SocketCommandContext
ShardedCommandContext

##### Implements

ICommandContext

##### Inherited Members

SocketCommandContext.Guild
SocketCommandContext.Channel
SocketCommandContext.User
SocketCommandContext.Message
SocketCommandContext.IsPrivate
SocketCommandContext.ICommandContext.Guild
SocketCommandContext.ICommandContext.Channel
SocketCommandContext.ICommandContext.User
SocketCommandContext.ICommandContext.Message
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Commands

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public class ShardedCommandContext : SocketCommandContext, ICommandContext

### Constructors

| Improve this Doc View Source

#### ShardedCommandContext(DiscordShardedClient, SocketUserMessage)

##### Declaration

    public ShardedCommandContext(DiscordShardedClient client, SocketUserMessage msg)

##### Parameters

Type | Name | Description
--- | --- | ---
DiscordShardedClient | client |
SocketUserMessage | msg |

### Properties

| Improve this Doc View Source

#### Client

Gets the DiscordShardedClient that the command is executed with.

##### Declaration

    public DiscordShardedClient Client { get; }

##### Property Value

Type | Description
--- | ---
DiscordShardedClient |

### Explicit Interface Implementations

| Improve this Doc View Source

#### ICommandContext.Client

Gets the IDiscordClient that the command is executed with.

##### Declaration

    IDiscordClient ICommandContext.Client { get; }

##### Returns

Type | Description
--- | ---
IDiscordClient |

### Implements

ICommandContext